package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * 流程分类权限表(SysFlowClassRule)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public class SysFlowClassRuleEntity extends BaseEntity {
 
  /**  流程分类id */
   private String flowClassId;
  /**  用户id */
   private String userId;
  /**  用户名 */
   private String userName;
  /**  用户编码 */
   private String userCode;
  /**  头像 */
   private String profileIcon;
   //权限列表
   List<SysFlowClassRuleEntity> ruleList;
    public String getFlowClassId() {
        return flowClassId;
    }

    public void setFlowClassId(String flowClassId) {
        this.flowClassId = flowClassId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getProfileIcon() {
        return profileIcon;
    }

    public void setProfileIcon(String profileIcon) {
        this.profileIcon = profileIcon;
    }

    public List<SysFlowClassRuleEntity> getRuleList() {
        return ruleList;
    }

    public void setRuleList(List<SysFlowClassRuleEntity> ruleList) {
        this.ruleList = ruleList;
    }
}

